Subject: RE: [AVT] Retransmission draft

From: Jose Rey <[email-masked]>
Date: Tue, 21 Oct 2003 13:54:29 +0200

hi all,

please be informed that the IPR statement regarding the
draft-ietf-avt-rtp-retransmission-09.txt is now available at the IETF IPR
webpage. We are sorry for the delay. We cannot explain why it has taken so
long for the IETF IPR people to publish it. As a matter of fact the
statement was first sent already on July 24th, however not published until a
recent second submission.

In previous emails we have been asked to explain our patent application and
we
informed AVT that the patent application itself specifies a transport method
using the RTP protocol where two sequence numbers are used: one to specifiy
the transmission order (=RTP SN) and the other one defining the reprodution
order, which in the draft corresponds with the OSN (original sequence
number). We also stated that it is not possible to implement the protocol
without infringing on the patent.
So far we have not received any more questions on the patent, but are happy
to provide them in case needed.

On the issue of how to proceed with this RTP retransmission draft some
opinions have been provided by Magnus Westerlund, Lars-Erik Jonsson and
John Lazzaro. John Lazzaro (08.09.03) has suggested to publish it as
Informational if the patent rights are held while Magnus and
Lars-Erik have suggested to proceed with the document as a Proposed
Standard (as we understand from the emails on from 22.09.03 and 09.09.03).

Taking all the above into account and considering that
independent of the patent situation this work is intended to be included in
the next release of 3GPP, we would like to ask the group to proceed with the
draft on standards track.

cheers,

Jose

> -----Original Message-----
> From: Magnus Westerlund [mailto:[email-masked]]
> Sent: Monday, September 22, 2003 4:50 PM
> To: Colin Perkins
> Cc: Jose Rey; [email-masked]
> Subject: Re: [AVT] Retransmission draft
>
>
> Hi,
>
> This mail is my personal comments, not as an WG chair!
>
> Colin Perkins wrote:
>
> > On Wednesday, Sep 3, 2003, at 09:15 Europe/London, Jose Rey wrote:
> > ...
> >
> >> Exactly, it is not possible to implement the
> >> payload format without infringing on the IPR.
> >
> >
> > A question to the working group: since it's not possible to
> implement
> > draft-ietf-avt-rtp-retransmission-09.txt without infringing
> a patent,
> > does it make sense for this to be published as a Proposed Standard?
> >
> > Given that there are FEC solutions that do not appear to be
> encumbered,
> > should we consider the retransmission draft for an Informational RFC
> > instead?
> >
>
> I think that it still makes sense to publish this a Proposed
> Standard.
> My arguments are:
>
> - First I think that it is important to make the solution of
> retransmission available in a standardized way. By publishing it as
> proposed standard the normative text is in force. The
> solution then is
> possible to implement in an interoperable way.
>
> - As the solution are not a core technology, however something that
> allows for more bandwidth optimized error recovery, it can be used by
> applications where one can license the rights for the benefit.
>
> - The method is commonly used and if as indicated there is no
> way around
> the patent, and it is valid then having a proposed standard
> for it and
> using it, or not having a proposed standard and still using it, the
> proposed standard way will have less problem.
>
>
> These are my arguments why it should be published as a proposed
> standard. However I would hope that Jose can provide some
> more details
> about the patent so that everyone can judge it validity. Also
> the patent
> statement is still not available on the IETF page.
>
> If Matsushita would provide a more specified statement making this
> license free or at least some better statement I also think
> there would
> be less problem to go ahead.
>
>
> Best Regards
>
>
> Magnus Westerlund
>
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Tue, 21 Oct 2003 17:57:32 +0100

On Tuesday, Oct 21, 2003, at 12:54 Europe/London, Jose Rey wrote:
...
> Standard (as we understand from the emails on from 22.09.03 and 

[takes working group chair hat off]

3GPP is only one forum which uses IETF standards, and one where dealing 
with IPR issues is commonplace. Having patented standards is more of an 
issue for open source developers, who are often excluded by the 
licensing terms. Would Matsushita be willing to clarify if the 
"reasonable, nondiscriminatory" terms allow open source implementations 
to use the retransmission format (this will probably require a 
Royalty-Free license)?

[puts working group chair hat on again]

-- 
Colin Perkins
http://csperkins.org/